Skip to main content
PUT
Update upload portal

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

portalId
integer
required

Portal ID

Body

application/json
name
string
required

The name of the upload portal.

Example:

"EdgeImpulse Inc."

bucketId
integer
required

The S3 bucket id to store the uploaded data. Set to '0' to select a bucket hosted by Edge Impulse.

Example:

1

bucketPath
string
required

The path in the bucket the upload portal will write to.

Example:

"/path/in/bucket"

description
string

The purpose and description of the upload portal.

Example:

"EdgeImpulse Inc. Portal description"

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

url
string
required

URL to the portal

error
string

Optional error description (set if 'success' was false)

signedUrl
string

pre-signed upload URL, only set if not using the Edge Impulse hosted bucket.

bucketBucket
string

Only set if not using the Edge Impulse hosted bucket.